source: src/tests/preempt_longrun/Makefile.in @ 2fa483c

ADTaaron-thesisarm-ehast-experimentalcleanup-dtorsdeferred_resndemanglerenumforall-pointer-decayjacob/cs343-translationjenkins-sandboxnew-astnew-ast-unique-exprno_listpersistent-indexerpthread-emulationqualifiedEnum
Last change on this file since 2fa483c was 857638d, checked in by Thierry Delisle <tdelisle@…>, 6 years ago

Removed maintainer-mode macro as default seems more appropriate

  • Property mode set to 100644
File size: 28.9 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17######################## -*- Mode: Makefile-Automake -*- ######################
18###############################################################################
19VPATH = @srcdir@
20am__is_gnu_make = { \
21  if test -z '$(MAKELEVEL)'; then \
22    false; \
23  elif test -n '$(MAKE_HOST)'; then \
24    true; \
25  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
26    true; \
27  else \
28    false; \
29  fi; \
30}
31am__make_running_with_option = \
32  case $${target_option-} in \
33      ?) ;; \
34      *) echo "am__make_running_with_option: internal error: invalid" \
35              "target option '$${target_option-}' specified" >&2; \
36         exit 1;; \
37  esac; \
38  has_opt=no; \
39  sane_makeflags=$$MAKEFLAGS; \
40  if $(am__is_gnu_make); then \
41    sane_makeflags=$$MFLAGS; \
42  else \
43    case $$MAKEFLAGS in \
44      *\\[\ \   ]*) \
45        bs=\\; \
46        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
47          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
48    esac; \
49  fi; \
50  skip_next=no; \
51  strip_trailopt () \
52  { \
53    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
54  }; \
55  for flg in $$sane_makeflags; do \
56    test $$skip_next = yes && { skip_next=no; continue; }; \
57    case $$flg in \
58      *=*|--*) continue;; \
59        -*I) strip_trailopt 'I'; skip_next=yes;; \
60      -*I?*) strip_trailopt 'I';; \
61        -*O) strip_trailopt 'O'; skip_next=yes;; \
62      -*O?*) strip_trailopt 'O';; \
63        -*l) strip_trailopt 'l'; skip_next=yes;; \
64      -*l?*) strip_trailopt 'l';; \
65      -[dEDm]) skip_next=yes;; \
66      -[JT]) skip_next=yes;; \
67    esac; \
68    case $$flg in \
69      *$$target_option*) has_opt=yes; break;; \
70    esac; \
71  done; \
72  test $$has_opt = yes
73am__make_dryrun = (target_option=n; $(am__make_running_with_option))
74am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
75pkgdatadir = $(datadir)/@PACKAGE@
76pkgincludedir = $(includedir)/@PACKAGE@
77pkglibdir = $(libdir)/@PACKAGE@
78pkglibexecdir = $(libexecdir)/@PACKAGE@
79am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
80install_sh_DATA = $(install_sh) -c -m 644
81install_sh_PROGRAM = $(install_sh) -c
82install_sh_SCRIPT = $(install_sh) -c
83INSTALL_HEADER = $(INSTALL_DATA)
84transform = $(program_transform_name)
85NORMAL_INSTALL = :
86PRE_INSTALL = :
87POST_INSTALL = :
88NORMAL_UNINSTALL = :
89PRE_UNINSTALL = :
90POST_UNINSTALL = :
91build_triplet = @build@
92host_triplet = @host@
93subdir = src/tests/preempt_longrun
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/configure.ac
96am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
97        $(ACLOCAL_M4)
98DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
99mkinstalldirs = $(install_sh) -d
100CONFIG_HEADER = $(top_builddir)/config.h
101CONFIG_CLEAN_FILES =
102CONFIG_CLEAN_VPATH_FILES =
103AM_V_P = $(am__v_P_@AM_V@)
104am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
105am__v_P_0 = false
106am__v_P_1 = :
107AM_V_GEN = $(am__v_GEN_@AM_V@)
108am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
109am__v_GEN_0 = @echo "  GEN     " $@;
110am__v_GEN_1 =
111AM_V_at = $(am__v_at_@AM_V@)
112am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
113am__v_at_0 = @
114am__v_at_1 =
115SOURCES =
116DIST_SOURCES =
117am__can_run_installinfo = \
118  case $$AM_UPDATE_INFO_DIR in \
119    n|no|NO) false;; \
120    *) (install-info --version) >/dev/null 2>&1;; \
121  esac
122am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
123am__tty_colors_dummy = \
124  mgn= red= grn= lgn= blu= brg= std=; \
125  am__color_tests=no
126am__tty_colors = { \
127  $(am__tty_colors_dummy); \
128  if test "X$(AM_COLOR_TESTS)" = Xno; then \
129    am__color_tests=no; \
130  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
131    am__color_tests=yes; \
132  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
133    am__color_tests=yes; \
134  fi; \
135  if test $$am__color_tests = yes; then \
136    red='[0;31m'; \
137    grn='[0;32m'; \
138    lgn='[1;32m'; \
139    blu='[1;34m'; \
140    mgn='[0;35m'; \
141    brg='[1m'; \
142    std='[m'; \
143  fi; \
144}
145am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
146am__vpath_adj = case $$p in \
147    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
148    *) f=$$p;; \
149  esac;
150am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
151am__install_max = 40
152am__nobase_strip_setup = \
153  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
154am__nobase_strip = \
155  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
156am__nobase_list = $(am__nobase_strip_setup); \
157  for p in $$list; do echo "$$p $$p"; done | \
158  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
159  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
160    if (++n[$$2] == $(am__install_max)) \
161      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
162    END { for (dir in files) print dir, files[dir] }'
163am__base_list = \
164  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
165  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
166am__uninstall_files_from_dir = { \
167  test -z "$$files" \
168    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
169    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
170         $(am__cd) "$$dir" && rm -f $$files; }; \
171  }
172am__recheck_rx = ^[     ]*:recheck:[    ]*
173am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
174am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
175# A command that, given a newline-separated list of test names on the
176# standard input, print the name of the tests that are to be re-run
177# upon "make recheck".
178am__list_recheck_tests = $(AWK) '{ \
179  recheck = 1; \
180  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
181    { \
182      if (rc < 0) \
183        { \
184          if ((getline line2 < ($$0 ".log")) < 0) \
185            recheck = 0; \
186          break; \
187        } \
188      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
189        { \
190          recheck = 0; \
191          break; \
192        } \
193      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
194        { \
195          break; \
196        } \
197    }; \
198  if (recheck) \
199    print $$0; \
200  close ($$0 ".trs"); \
201  close ($$0 ".log"); \
202}'
203# A command that, given a newline-separated list of test names on the
204# standard input, create the global log from their .trs and .log files.
205am__create_global_log = $(AWK) ' \
206function fatal(msg) \
207{ \
208  print "fatal: making $@: " msg | "cat >&2"; \
209  exit 1; \
210} \
211function rst_section(header) \
212{ \
213  print header; \
214  len = length(header); \
215  for (i = 1; i <= len; i = i + 1) \
216    printf "="; \
217  printf "\n\n"; \
218} \
219{ \
220  copy_in_global_log = 1; \
221  global_test_result = "RUN"; \
222  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
223    { \
224      if (rc < 0) \
225         fatal("failed to read from " $$0 ".trs"); \
226      if (line ~ /$(am__global_test_result_rx)/) \
227        { \
228          sub("$(am__global_test_result_rx)", "", line); \
229          sub("[        ]*$$", "", line); \
230          global_test_result = line; \
231        } \
232      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
233        copy_in_global_log = 0; \
234    }; \
235  if (copy_in_global_log) \
236    { \
237      rst_section(global_test_result ": " $$0); \
238      while ((rc = (getline line < ($$0 ".log"))) != 0) \
239      { \
240        if (rc < 0) \
241          fatal("failed to read from " $$0 ".log"); \
242        print line; \
243      }; \
244      printf "\n"; \
245    }; \
246  close ($$0 ".trs"); \
247  close ($$0 ".log"); \
248}'
249# Restructured Text title.
250am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
251# Solaris 10 'make', and several other traditional 'make' implementations,
252# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
253# by disabling -e (using the XSI extension "set +e") if it's set.
254am__sh_e_setup = case $$- in *e*) set +e;; esac
255# Default flags passed to test drivers.
256am__common_driver_flags = \
257  --color-tests "$$am__color_tests" \
258  --enable-hard-errors "$$am__enable_hard_errors" \
259  --expect-failure "$$am__expect_failure"
260# To be inserted before the command running the test.  Creates the
261# directory for the log if needed.  Stores in $dir the directory
262# containing $f, in $tst the test, in $log the log.  Executes the
263# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
264# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
265# will run the test scripts (or their associated LOG_COMPILER, if
266# thy have one).
267am__check_pre = \
268$(am__sh_e_setup);                                      \
269$(am__vpath_adj_setup) $(am__vpath_adj)                 \
270$(am__tty_colors);                                      \
271srcdir=$(srcdir); export srcdir;                        \
272case "$@" in                                            \
273  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
274    *) am__odir=.;;                                     \
275esac;                                                   \
276test "x$$am__odir" = x"." || test -d "$$am__odir"       \
277  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
278if test -f "./$$f"; then dir=./;                        \
279elif test -f "$$f"; then dir=;                          \
280else dir="$(srcdir)/"; fi;                              \
281tst=$$dir$$f; log='$@';                                 \
282if test -n '$(DISABLE_HARD_ERRORS)'; then               \
283  am__enable_hard_errors=no;                            \
284else                                                    \
285  am__enable_hard_errors=yes;                           \
286fi;                                                     \
287case " $(XFAIL_TESTS) " in                              \
288  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
289    am__expect_failure=yes;;                            \
290  *)                                                    \
291    am__expect_failure=no;;                             \
292esac;                                                   \
293$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
294# A shell command to get the names of the tests scripts with any registered
295# extension removed (i.e., equivalently, the names of the test logs, with
296# the '.log' extension removed).  The result is saved in the shell variable
297# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
298# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
299# since that might cause problem with VPATH rewrites for suffix-less tests.
300# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
301am__set_TESTS_bases = \
302  bases='$(TEST_LOGS)'; \
303  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
304  bases=`echo $$bases`
305RECHECK_LOGS = $(TEST_LOGS)
306AM_RECURSIVE_TARGETS = check recheck
307TEST_SUITE_LOG = test-suite.log
308TEST_EXTENSIONS = @EXEEXT@ .test
309LOG_DRIVER = $(SHELL) $(top_srcdir)/automake/test-driver
310LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
311am__set_b = \
312  case '$@' in \
313    */*) \
314      case '$*' in \
315        */*) b='$*';; \
316          *) b=`echo '$@' | sed 's/\.log$$//'`; \
317       esac;; \
318    *) \
319      b='$*';; \
320  esac
321am__test_logs1 = $(TESTS:=.log)
322am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
323TEST_LOGS = $(am__test_logs2:.test.log=.log)
324TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/automake/test-driver
325TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
326        $(TEST_LOG_FLAGS)
327am__DIST_COMMON = $(srcdir)/Makefile.in \
328        $(top_srcdir)/automake/test-driver
329DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
330ACLOCAL = @ACLOCAL@
331ALLOCA = @ALLOCA@
332AMTAR = @AMTAR@
333AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
334AUTOCONF = @AUTOCONF@
335AUTOHEADER = @AUTOHEADER@
336AUTOMAKE = @AUTOMAKE@
337AWK = @AWK@
338BACKEND_CC = @BACKEND_CC@
339CC = @CFA_BINDIR@/@CFA_NAME@
340CCAS = @CCAS@
341CCASDEPMODE = @CCASDEPMODE@
342CCASFLAGS = @CCASFLAGS@
343CCDEPMODE = @CCDEPMODE@
344CFA_BACKEND_CC = @CFA_BACKEND_CC@
345CFA_BINDIR = @CFA_BINDIR@
346CFA_FLAGS = @CFA_FLAGS@
347CFA_INCDIR = @CFA_INCDIR@
348CFA_LIBDIR = @CFA_LIBDIR@
349CFA_NAME = @CFA_NAME@
350CFA_PREFIX = @CFA_PREFIX@
351CFLAGS = ${BUILD_FLAGS}
352CPP = @CPP@
353CPPFLAGS = @CPPFLAGS@
354CXX = @CXX@
355CXXDEPMODE = @CXXDEPMODE@
356CXXFLAGS = @CXXFLAGS@
357CYGPATH_W = @CYGPATH_W@
358DEFS = @DEFS@
359DEPDIR = @DEPDIR@
360ECHO_C = @ECHO_C@
361ECHO_N = @ECHO_N@
362ECHO_T = @ECHO_T@
363EGREP = @EGREP@
364EXEEXT = @EXEEXT@
365GREP = @GREP@
366INSTALL = @INSTALL@
367INSTALL_DATA = @INSTALL_DATA@
368INSTALL_PROGRAM = @INSTALL_PROGRAM@
369INSTALL_SCRIPT = @INSTALL_SCRIPT@
370INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
371LDFLAGS = @LDFLAGS@
372LEX = @LEX@
373LEXLIB = @LEXLIB@
374LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
375LIBOBJS = @LIBOBJS@
376LIBS = @LIBS@
377LTLIBOBJS = @LTLIBOBJS@
378MACHINE_TYPE = @MACHINE_TYPE@
379MAKEINFO = @MAKEINFO@
380MKDIR_P = @MKDIR_P@
381OBJEXT = @OBJEXT@
382PACKAGE = @PACKAGE@
383PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
384PACKAGE_NAME = @PACKAGE_NAME@
385PACKAGE_STRING = @PACKAGE_STRING@
386PACKAGE_TARNAME = @PACKAGE_TARNAME@
387PACKAGE_URL = @PACKAGE_URL@
388PACKAGE_VERSION = @PACKAGE_VERSION@
389PATH_SEPARATOR = @PATH_SEPARATOR@
390RANLIB = @RANLIB@
391SET_MAKE = @SET_MAKE@
392SHELL = @SHELL@
393STRIP = @STRIP@
394VERSION = @VERSION@
395YACC = @YACC@
396YFLAGS = @YFLAGS@
397abs_builddir = @abs_builddir@
398abs_srcdir = @abs_srcdir@
399abs_top_builddir = @abs_top_builddir@
400abs_top_srcdir = @abs_top_srcdir@
401ac_ct_CC = @ac_ct_CC@
402ac_ct_CXX = @ac_ct_CXX@
403am__include = @am__include@
404am__leading_dot = @am__leading_dot@
405am__quote = @am__quote@
406am__tar = @am__tar@
407am__untar = @am__untar@
408bindir = @bindir@
409build = @build@
410build_alias = @build_alias@
411build_cpu = @build_cpu@
412build_os = @build_os@
413build_vendor = @build_vendor@
414builddir = @builddir@
415datadir = @datadir@
416datarootdir = @datarootdir@
417docdir = @docdir@
418dvidir = @dvidir@
419exec_prefix = @exec_prefix@
420host = @host@
421host_alias = @host_alias@
422host_cpu = @host_cpu@
423host_os = @host_os@
424host_vendor = @host_vendor@
425htmldir = @htmldir@
426includedir = @includedir@
427infodir = @infodir@
428install_sh = @install_sh@
429libdir = @libdir@
430libexecdir = @libexecdir@
431localedir = @localedir@
432localstatedir = @localstatedir@
433mandir = @mandir@
434mkdir_p = @mkdir_p@
435oldincludedir = @oldincludedir@
436pdfdir = @pdfdir@
437prefix = @prefix@
438program_transform_name = @program_transform_name@
439psdir = @psdir@
440runstatedir = @runstatedir@
441sbindir = @sbindir@
442sharedstatedir = @sharedstatedir@
443srcdir = @srcdir@
444sysconfdir = @sysconfdir@
445target_alias = @target_alias@
446top_build_prefix = @top_build_prefix@
447top_builddir = @top_builddir@
448top_srcdir = @top_srcdir@
449repeats = 10
450max_time = 600
451preempt = 10ul\`ms
452debug = -debug
453type = LONG
454REPEAT = ${abs_top_srcdir}/tools/repeat
455WATCHDOG = ${abs_top_srcdir}/tools/watchdog
456TIME = /usr/bin/time -f "%E"
457
458# $(shell ./update-type $(type))
459# ./update-type $(type)
460UPDATED_TYPE = $(shell ./update-type $(type))
461BUILD_FLAGS = -g -Wall -Wno-unused-function -quiet @CFA_FLAGS@ -O2 -DPREEMPTION_RATE=${preempt} -I.. -I. -DTEST_$(shell cat .type | tr a-z A-Z)
462TESTS = block coroutine create disjoint enter enter3 processor stack wait yield
463all: all-am
464
465.SUFFIXES:
466.SUFFIXES: .log .test .test$(EXEEXT) .trs
467$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
468        @for dep in $?; do \
469          case '$(am__configure_deps)' in \
470            *$$dep*) \
471              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
472                && { if test -f $@; then exit 0; else break; fi; }; \
473              exit 1;; \
474          esac; \
475        done; \
476        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/tests/preempt_longrun/Makefile'; \
477        $(am__cd) $(top_srcdir) && \
478          $(AUTOMAKE) --foreign src/tests/preempt_longrun/Makefile
479Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
480        @case '$?' in \
481          *config.status*) \
482            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
483          *) \
484            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
485            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
486        esac;
487
488$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
489        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
490
491$(top_srcdir)/configure:  $(am__configure_deps)
492        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
493$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
494        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
495$(am__aclocal_m4_deps):
496tags TAGS:
497
498ctags CTAGS:
499
500cscope cscopelist:
501
502
503# Recover from deleted '.trs' file; this should ensure that
504# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
505# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
506# to avoid problems with "make -n".
507.log.trs:
508        rm -f $< $@
509        $(MAKE) $(AM_MAKEFLAGS) $<
510
511# Leading 'am--fnord' is there to ensure the list of targets does not
512# expand to empty, as could happen e.g. with make check TESTS=''.
513am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
514am--force-recheck:
515        @:
516
517$(TEST_SUITE_LOG): $(TEST_LOGS)
518        @$(am__set_TESTS_bases); \
519        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
520        redo_bases=`for i in $$bases; do \
521                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
522                    done`; \
523        if test -n "$$redo_bases"; then \
524          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
525          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
526          if $(am__make_dryrun); then :; else \
527            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
528          fi; \
529        fi; \
530        if test -n "$$am__remaking_logs"; then \
531          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
532               "recursion detected" >&2; \
533        elif test -n "$$redo_logs"; then \
534          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
535        fi; \
536        if $(am__make_dryrun); then :; else \
537          st=0;  \
538          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
539          for i in $$redo_bases; do \
540            test -f $$i.trs && test -r $$i.trs \
541              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
542            test -f $$i.log && test -r $$i.log \
543              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
544          done; \
545          test $$st -eq 0 || exit 1; \
546        fi
547        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
548        ws='[   ]'; \
549        results=`for b in $$bases; do echo $$b.trs; done`; \
550        test -n "$$results" || results=/dev/null; \
551        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
552        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
553        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
554        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
555        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
556        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
557        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
558        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
559          success=true; \
560        else \
561          success=false; \
562        fi; \
563        br='==================='; br=$$br$$br$$br$$br; \
564        result_count () \
565        { \
566            if test x"$$1" = x"--maybe-color"; then \
567              maybe_colorize=yes; \
568            elif test x"$$1" = x"--no-color"; then \
569              maybe_colorize=no; \
570            else \
571              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
572            fi; \
573            shift; \
574            desc=$$1 count=$$2; \
575            if test $$maybe_colorize = yes && test $$count -gt 0; then \
576              color_start=$$3 color_end=$$std; \
577            else \
578              color_start= color_end=; \
579            fi; \
580            echo "$${color_start}# $$desc $$count$${color_end}"; \
581        }; \
582        create_testsuite_report () \
583        { \
584          result_count $$1 "TOTAL:" $$all   "$$brg"; \
585          result_count $$1 "PASS: " $$pass  "$$grn"; \
586          result_count $$1 "SKIP: " $$skip  "$$blu"; \
587          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
588          result_count $$1 "FAIL: " $$fail  "$$red"; \
589          result_count $$1 "XPASS:" $$xpass "$$red"; \
590          result_count $$1 "ERROR:" $$error "$$mgn"; \
591        }; \
592        {                                                               \
593          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
594            $(am__rst_title);                                           \
595          create_testsuite_report --no-color;                           \
596          echo;                                                         \
597          echo ".. contents:: :depth: 2";                               \
598          echo;                                                         \
599          for b in $$bases; do echo $$b; done                           \
600            | $(am__create_global_log);                                 \
601        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
602        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
603        if $$success; then                                              \
604          col="$$grn";                                                  \
605         else                                                           \
606          col="$$red";                                                  \
607          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
608        fi;                                                             \
609        echo "$${col}$$br$${std}";                                      \
610        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
611        echo "$${col}$$br$${std}";                                      \
612        create_testsuite_report --maybe-color;                          \
613        echo "$$col$$br$$std";                                          \
614        if $$success; then :; else                                      \
615          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
616          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
617            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
618          fi;                                                           \
619          echo "$$col$$br$$std";                                        \
620        fi;                                                             \
621        $$success || exit 1
622
623check-TESTS:
624        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
625        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
626        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
627        @set +e; $(am__set_TESTS_bases); \
628        log_list=`for i in $$bases; do echo $$i.log; done`; \
629        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
630        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
631        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
632        exit $$?;
633recheck: all
634        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
635        @set +e; $(am__set_TESTS_bases); \
636        bases=`for i in $$bases; do echo $$i; done \
637                 | $(am__list_recheck_tests)` || exit 1; \
638        log_list=`for i in $$bases; do echo $$i.log; done`; \
639        log_list=`echo $$log_list`; \
640        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
641                am__force_recheck=am--force-recheck \
642                TEST_LOGS="$$log_list"; \
643        exit $$?
644block.log: block
645        @p='block'; \
646        b='block'; \
647        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
648        --log-file $$b.log --trs-file $$b.trs \
649        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
650        "$$tst" $(AM_TESTS_FD_REDIRECT)
651coroutine.log: coroutine
652        @p='coroutine'; \
653        b='coroutine'; \
654        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
655        --log-file $$b.log --trs-file $$b.trs \
656        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
657        "$$tst" $(AM_TESTS_FD_REDIRECT)
658create.log: create
659        @p='create'; \
660        b='create'; \
661        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
662        --log-file $$b.log --trs-file $$b.trs \
663        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
664        "$$tst" $(AM_TESTS_FD_REDIRECT)
665disjoint.log: disjoint
666        @p='disjoint'; \
667        b='disjoint'; \
668        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
669        --log-file $$b.log --trs-file $$b.trs \
670        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
671        "$$tst" $(AM_TESTS_FD_REDIRECT)
672enter.log: enter
673        @p='enter'; \
674        b='enter'; \
675        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
676        --log-file $$b.log --trs-file $$b.trs \
677        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
678        "$$tst" $(AM_TESTS_FD_REDIRECT)
679enter3.log: enter3
680        @p='enter3'; \
681        b='enter3'; \
682        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
683        --log-file $$b.log --trs-file $$b.trs \
684        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
685        "$$tst" $(AM_TESTS_FD_REDIRECT)
686processor.log: processor
687        @p='processor'; \
688        b='processor'; \
689        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
690        --log-file $$b.log --trs-file $$b.trs \
691        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
692        "$$tst" $(AM_TESTS_FD_REDIRECT)
693stack.log: stack
694        @p='stack'; \
695        b='stack'; \
696        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
697        --log-file $$b.log --trs-file $$b.trs \
698        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
699        "$$tst" $(AM_TESTS_FD_REDIRECT)
700wait.log: wait
701        @p='wait'; \
702        b='wait'; \
703        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
704        --log-file $$b.log --trs-file $$b.trs \
705        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
706        "$$tst" $(AM_TESTS_FD_REDIRECT)
707yield.log: yield
708        @p='yield'; \
709        b='yield'; \
710        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
711        --log-file $$b.log --trs-file $$b.trs \
712        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
713        "$$tst" $(AM_TESTS_FD_REDIRECT)
714.test.log:
715        @p='$<'; \
716        $(am__set_b); \
717        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
718        --log-file $$b.log --trs-file $$b.trs \
719        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
720        "$$tst" $(AM_TESTS_FD_REDIRECT)
721@am__EXEEXT_TRUE@.test$(EXEEXT).log:
722@am__EXEEXT_TRUE@       @p='$<'; \
723@am__EXEEXT_TRUE@       $(am__set_b); \
724@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
725@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
726@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
727@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
728
729distdir: $(DISTFILES)
730        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
731        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
732        list='$(DISTFILES)'; \
733          dist_files=`for file in $$list; do echo $$file; done | \
734          sed -e "s|^$$srcdirstrip/||;t" \
735              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
736        case $$dist_files in \
737          */*) $(MKDIR_P) `echo "$$dist_files" | \
738                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
739                           sort -u` ;; \
740        esac; \
741        for file in $$dist_files; do \
742          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
743          if test -d $$d/$$file; then \
744            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
745            if test -d "$(distdir)/$$file"; then \
746              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
747            fi; \
748            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
749              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
750              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
751            fi; \
752            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
753          else \
754            test -f "$(distdir)/$$file" \
755            || cp -p $$d/$$file "$(distdir)/$$file" \
756            || exit 1; \
757          fi; \
758        done
759check-am: all-am
760        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
761check: check-am
762all-am: Makefile all-local
763installdirs:
764install: install-am
765install-exec: install-exec-am
766install-data: install-data-am
767uninstall: uninstall-am
768
769install-am: all-am
770        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
771
772installcheck: installcheck-am
773install-strip:
774        if test -z '$(STRIP)'; then \
775          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
776            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
777              install; \
778        else \
779          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
780            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
781            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
782        fi
783mostlyclean-generic:
784        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
785        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
786        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
787
788clean-generic:
789
790distclean-generic:
791        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
792        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
793
794maintainer-clean-generic:
795        @echo "This command is intended for maintainers to use"
796        @echo "it deletes files that may require special tools to rebuild."
797clean: clean-am
798
799clean-am: clean-generic clean-local mostlyclean-am
800
801distclean: distclean-am
802        -rm -f Makefile
803distclean-am: clean-am distclean-generic
804
805dvi: dvi-am
806
807dvi-am:
808
809html: html-am
810
811html-am:
812
813info: info-am
814
815info-am:
816
817install-data-am:
818
819install-dvi: install-dvi-am
820
821install-dvi-am:
822
823install-exec-am:
824
825install-html: install-html-am
826
827install-html-am:
828
829install-info: install-info-am
830
831install-info-am:
832
833install-man:
834
835install-pdf: install-pdf-am
836
837install-pdf-am:
838
839install-ps: install-ps-am
840
841install-ps-am:
842
843installcheck-am:
844
845maintainer-clean: maintainer-clean-am
846        -rm -f Makefile
847maintainer-clean-am: distclean-am maintainer-clean-generic
848
849mostlyclean: mostlyclean-am
850
851mostlyclean-am: mostlyclean-generic
852
853pdf: pdf-am
854
855pdf-am:
856
857ps: ps-am
858
859ps-am:
860
861uninstall-am:
862
863.MAKE: check-am install-am install-strip
864
865.PHONY: all all-am all-local check check-TESTS check-am clean \
866        clean-generic clean-local cscopelist-am ctags-am distclean \
867        distclean-generic distdir dvi dvi-am html html-am info info-am \
868        install install-am install-data install-data-am install-dvi \
869        install-dvi-am install-exec install-exec-am install-html \
870        install-html-am install-info install-info-am install-man \
871        install-pdf install-pdf-am install-ps install-ps-am \
872        install-strip installcheck installcheck-am installdirs \
873        maintainer-clean maintainer-clean-generic mostlyclean \
874        mostlyclean-generic pdf pdf-am ps ps-am recheck tags-am \
875        uninstall uninstall-am
876
877.PRECIOUS: Makefile
878
879
880# .INTERMEDIATE: ${TESTS}
881
882all-local: ${TESTS:=.run}
883
884runall : ${TESTS:=.run}
885        @ echo "All programs terminated normally"
886
887watchall : ${TESTS:=.watch}
888        @ echo "All programs terminated normally"
889
890compileall : ${TESTS}
891        @ echo "Compiled"
892
893clean-local:
894        rm -f ${TESTS} core* out.log .type
895
896% : %.c ${CC} ${UPDATED_TYPE}
897        ${AM_V_GEN}${CC} ${CFLAGS} ${<} $(debug) -o ${@}
898
899%.run : % ${REPEAT}
900        @ time ${REPEAT} -r out.log -i -s $(repeats) timeout ${max_time} ./${<}
901        @ rm ${<}
902        @ echo -e "${<}: SUCCESS\n"
903
904%.watch : % ${WATCHDOG}
905        @ time ${WATCHDOG} ./${<}
906        @ rm ${<}
907        @ echo -e "${<}: SUCCESS\n"
908
909%.time : % ${REPEAT}
910        @ ${REPEAT} -i -s -- $(repeats) $(TIME) -a -o times.log ./${<}
911        @ rm ${<}
912        @ echo -e "${<}: SUCCESS\n"
913
914${REPEAT}: ${abs_top_srcdir}/tools/Makefile
915        @+make -C ${abs_top_srcdir}/tools/
916
917${WATCHDOG}: ${abs_top_srcdir}/tools/Makefile
918        @+make -C ${abs_top_srcdir}/tools/
919
920# Tell versions [3.59,3.63) of GNU make to not export all variables.
921# Otherwise a system limit (for SysV at least) may be exceeded.
922.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.